Welcome to the New BigPanda API Documentation
🚧 valueSource If valueSourceisruntimeandisRequiredistrue, you must have values incommunicationEntityValuesor the request fails with a 400 return.
📘 MIM creator The user associated with the API key is automatically assigned as the MIM creator.
🚧 Authentication All BigPanda APIs require Bearer Token Authorization in the call headers. This API uses the User API Key type of Authorization token.
❗ Rate limitations To maintain quality of service, the Biggy API is limited to 100 requests per minute. Additional requests will return a 429 response code and the request will need to be retried.
curl --location 'https://api.biggy.io/mim/execute' \
--header 'Content-Type: application/json' \
--data 'curl -sS -X POST "https://api.biggy.io/mim/execute" \
-H "Authorization: Bearer your-api-key" \
-H "Content-Type: application/json" \
-d '\''{
"templateId": "665a1b2c3d4e5f6a7b8c9d0e",
"mimName": "Payments Outage 2026-03-11",
"incidentPriority": "P1",
"communicationEntityValues": [
{
"entityId": "665b2c3d4e5f6a7b8c9d0e1f",
"value": {
"channelId": "C0123456789",
"channelName": "#payments-outage-war-room"
}
}
],
"incidentDetails": {
"title": "Payment processing outage",
"description": "All payment processing is down across all regions.",
"impact": {
"services": [
"payments-api",
"checkout-service"
],
"statement": "All customers unable to complete purchases"
}
}
}'\'''{
"executionId": "string",
"status": "string",
"message": "string",
"resolvedEntities": [
{
"entityId": "string",
"type": "string",
"label": "string",
"value": {
"channelId": "string",
"channelName": "string",
"link": "string"
}
}
],
"warnings": [
"string"
]
}